unit uIEditorInventario;

interface

uses
  uEditorGridBase, uBizInventario, uInventarioController;

type
  IEditorInventario = interface(IEditorGridBase)
  ['{D9C21CA9-5923-4F89-ABBC-81128D2F5272}']
    function GetInventario: IBizInventario;
    procedure SetInventario(const Value: IBizInventario);
    property Inventario: IBizInventario read GetInventario write SetInventario;

    function GetController : IInventarioController;
    procedure SetController (const Value : IInventarioController);
    property Controller : IInventarioController read GetController write SetController;

    procedure SetMultiSelect (AValue : Boolean);
    function GetMultiSelect : Boolean;
    property MultiSelect : Boolean read GetMultiSelect write SetMultiSelect;

    function GetArticulosSeleccionados: IBizInventario;
    property ArticulosSeleccionados: IBizInventario read GetArticulosSeleccionados;
  end;


implementation

end.
